Package: groovy.console.ui.text

## [Java] Class GroovyFilter

- groovy.console.ui.text.GroovyFilter

-     public class GroovyFilter
      extends StructuredSyntaxDocumentFilter

  Regex-based syntax-highlighting filter for Groovy source text.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `ANNOTATION` | Pattern matching annotations.
    `static String` | `BINARY_INTEGER_LITERAL` | Pattern matching binary integer literals.
    `static String` | `COMMENT` | Style name used for comments.
    `static String` | `DECIMAL_FLOATING_POINT_LITERAL` | Pattern matching decimal floating-point literals.
    `static String` | `DECIMAL_INTEGER_LITERAL` | Pattern matching decimal integer literals.
    `static String` | `DIGIT` | Style name used for numeric literals.
    `static String` | `HEXADECIMAL_FLOATING_POINT_LITERAL` | Pattern matching hexadecimal floating-point literals.
    `static String` | `HEX_INTEGER_LITERAL` | Pattern matching hexadecimal integer literals.
    `static String` | `IDENT` | Pattern matching identifiers.
    `static String` | `LEFT_PARENS` | Pattern matching left parentheses inside operation matches.
    `static String` | `OCTAL_INTEGER_LITERAL` | Pattern matching octal integer literals.
    `static String` | `OPERATION` | Pattern matching method-style identifiers followed by an opening parenthesis.
    `static String` | `QUOTES` | Pattern matching double-quoted and triple-double-quoted strings.
    `static String` | `RESERVED_WORD` | Style name used for reserved words.
    `static String[]` | `RESERVED_WORDS` | Patterns matching Groovy reserved words.
    `static String` | `SINGLE_QUOTES` | Pattern matching single-quoted and triple-single-quoted strings.
    `static String` | `SLASHY_QUOTES` | Pattern matching slashy and dollar-slashy strings.
    `static String` | `SLASH_SLASH_COMMENT` | Pattern matching line comments.
    `static String` | `SLASH_STAR_COMMENT` | Pattern matching block comments.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class StructuredSyntaxDocumentFilter` | `TAB_REPLACEMENT, lexer, mlTextRunSet, styledDocument`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyFilter(DefaultStyledDocument doc)` Creates a new instance of GroovyFilter

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `installAutoTabAction(JTextComponent tComp)` Installs the auto-indent action on the supplied text component.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StructuredSyntaxDocumentFilter` | `createLexerNode, getRootNode, insertString, parseDocument, remove, replace`

- - ### Field Detail

    - #### public static final String ANNOTATION

      Pattern matching annotations.

    - #### public static final String BINARY_INTEGER_LITERAL

      Pattern matching binary integer literals.

    - #### public static final String COMMENT

      Style name used for comments.

    - #### public static final String DECIMAL_FLOATING_POINT_LITERAL

      Pattern matching decimal floating-point literals.

    - #### public static final String DECIMAL_INTEGER_LITERAL

      Pattern matching decimal integer literals.

    - #### public static final String DIGIT

      Style name used for numeric literals.

    - #### public static final String HEXADECIMAL_FLOATING_POINT_LITERAL

      Pattern matching hexadecimal floating-point literals.

    - #### public static final String HEX_INTEGER_LITERAL

      Pattern matching hexadecimal integer literals.

    - #### public static final String IDENT

      Pattern matching identifiers.

    - #### public static final String LEFT_PARENS

      Pattern matching left parentheses inside operation matches.

    - #### public static final String OCTAL_INTEGER_LITERAL

      Pattern matching octal integer literals.

    - #### public static final String OPERATION

      Pattern matching method-style identifiers followed by an opening parenthesis.

    - #### public static final String QUOTES

      Pattern matching double-quoted and triple-double-quoted strings.

    - #### public static final String RESERVED_WORD

      Style name used for reserved words.

    - #### public static final String[] RESERVED_WORDS

      Patterns matching Groovy reserved words.

    - #### public static final String SINGLE_QUOTES

      Pattern matching single-quoted and triple-single-quoted strings.

    - #### public static final String SLASHY_QUOTES

      Pattern matching slashy and dollar-slashy strings.

    - #### public static final String SLASH_SLASH_COMMENT

      Pattern matching line comments.

    - #### public static final String SLASH_STAR_COMMENT

      Pattern matching block comments.

  - ### Constructor Detail

    - #### public GroovyFilter(DefaultStyledDocument doc)

      Creates a new instance of GroovyFilter

      Parameters:
        `doc` - the document to highlight

  - ### Method Detail

    - #### public static void installAutoTabAction(JTextComponent tComp)

      Installs the auto-indent action on the supplied text component.

      Parameters:
        `tComp` - the text component to configure